package http_model

type RecruitStrategyNumberCalculateRequest struct {
	RecruitStrategyID int64 `json:"recruitStrategy_id"`
	SelectedNumber    int64 `json:"selected_number"`
	AddSub            bool  `json:"add_sub"`
}

func NewRecruitStrategyNumberCalculateRequst() *RecruitStrategyNumberCalculateRequest {
	return new(RecruitStrategyNumberCalculateRequest)
}

type RecruitStrategyNumberCalculateData struct {
	RecruitStrategyID int64 `json:"recruitStrategy_id"`
}

func NewRecruitStrategyNumberCalculateResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(RecruitStrategyNumberCalculateData)
	return resp
}
